受注店舗削除
DELETE
/stores/{store_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/order-shipment/stores/23';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/order-shipment/stores/23 \ --header 'Authorization: Bearer <token>'受注店舗を削除します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
受注店舗ID
※通常店舗及び倉庫の店舗IDは指定できません。
Example
23Responses
Section titled “Responses”削除成功
- 指定された受注店舗が他店の在庫参照店舗に設定されている場合
- 指定された受注店舗に引当中の受注が存在する場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "BadRequest", "detail": "指定された受注店舗は他店の在庫参照店舗に設定されているため、削除できません。", "status": 400}{ "type": "about:blank", "title": "BadRequest", "detail": "指定された受注店舗に引当中の受注が存在するため、削除できません。", "status": 400}